<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
 

jimport('joomla.plugin.plugin');
 
class plgRSSearchKunena extends JPlugin
{
	function plgRSSearchKunena( &$subject )
	{
	    parent::__construct( $subject );
		jimport('joomla.html.parameter');
	    $this->_plugin = JPluginHelper::getPlugin( 'rssearch', 'kunena' );
	    $this->_params = new JParameter($this->_plugin->params);
	}
	function getResults(&$results, $search)
	{
	    $app = &JFactory::getApplication();
	    $db =& JFactory::getDBO();
		
	    $fields = (array) $this -> _params->get('searchfields','');
	    $orderby = $this -> _params->get('orderby','');
	    $categories = (array) $this->_params->get('kunenacategories','');
	    $asc_desc = $this -> _params->get('asc_desc','ASC');
	    $itemId = $this -> _params->get('itemid','');
	    $itemId = (empty($itemId) ? '' : '&Itemid='.$itemId);

		foreach($fields as $field){
			if($field == 'kunena_messages'){
				$tablecolumns = array('title','ordering');
				$where_catid = '';
				if(in_array('kunena_categories', $fields)){
					if(modRSSearchHelper::isJ16()){
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories['kunenacategories']);
							$where_catid = " AND `#__kunena_messages`.`catid` IN (".implode(',', $categories['kunenacategories']).")";			
						}
					}else {
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories);
							$where_catid = " AND `#__kunena_messages`.`catid` IN (".implode(',', $categories).")";	
						}
					}
				}
		$query="SELECT  `#__kunena_messages_text`.`message`, `#__kunena_messages`.`catid`, `#__kunena_messages`.`id`,`#__kunena_messages`.`name`, `#__kunena_messages`.`subject`
				FROM #__kunena_messages
				LEFT JOIN #__kunena_messages_text
				ON #__kunena_messages_text.mesid = #__kunena_messages.id
				WHERE (`#__kunena_messages`.`name` LIKE '%".$search."%' OR `#__kunena_messages`.`subject` LIKE '%".$search."%' OR `#__kunena_messages_text`.`message` LIKE '%".$search."%') ".$where_catid."
				GROUP BY `#__kunena_messages`.`id` ORDER BY ".(in_array($orderby,$tablecolumns) ? $orderby : '')." ".$asc_desc;



				$db -> setQuery($query);
				$list = $db->loadObjectList();

				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->subject;
					$tmp->link = JRoute::_('index.php?option=com_kunena&func=view&catid='.$item->catid.'&id='.$item->id.$itemId);
					$tmp->text = $item ->message;
					$results[] = $tmp;
				}
			}elseif($field == 'kunena_categories'){
				$where_catid = '';
				if(modRSSearchHelper::isJ16()){
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories['kunenacategories']);
						$where_catid = " AND `#__kunena_categories`.`id` IN (".implode(',', $categories['kunenacategories']).")";			
					}
				}else {
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND `#__kunena_categories`.`id` IN (".implode(',', $categories).")";
					}
				}

				$query = "SELECT `id`,`name`, `headerdesc`,`description` FROM #__kunena_categories 
				WHERE (`name` LIKE '%".$search."%' OR `description` LIKE '%".$search."%' OR `headerdesc` LIKE '%".$search."%') ".$where_catid."
				GROUP BY `id`,`name`, `description` ORDER BY ordering ".$asc_desc;

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->name;
					$tmp->link = JRoute::_('index.php?option=com_kunena&func=showcat&catid='.$item->id.$itemId);
					$tmp->text = $item->description.' '.$item->headerdesc;
					$results[] = $tmp;
				}
			}
		}
	    return true;
	}
}
?>