<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

class JElementMosetscategories extends JElement{
	var $_name = 'Mosetscategories';

	function getMtcats()
	{
		$db =& JFactory::getDBO();
		$query = "SELECT * FROM #__mt_cats WHERE `cat_parent` = '0' ORDER BY `cat_parent`,`ordering` ASC";
		$db->setQuery($query);
		$cats = $db->loadObjectList();
		$results = array();
		
		$i=0;
		foreach($cats as $cat){
			
			$results[$i]['id'] = $cat->cat_id;
			$results[$i]['cat_name'] = $cat->cat_name;
			$cat_name = $cat->cat_name;
			$query = "SELECT * FROM #__mt_cats WHERE `cat_parent` = ".$cat->cat_id." ORDER BY `cat_name` ASC";
			$db->setQuery($query);
			$subcats = $db->loadObjectList();

			foreach($subcats as $subcat){
				++$i;
				$results[$i]['id'] = $subcat->cat_id;
				$results[$i]['cat_name'] = '&nbsp;&nbsp;--'.$subcat->cat_name;
			}
			++$i;
		}
		return $results;
	}

	function fetchElement($name, $value, &$node, $control_name)
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_mtree'.DS.'mtree.php')){
			$result = '<script type="text/javascript">
					window.addEvent(\'domready\',function(){
						if(document.getElementById("mt_cats_btn").checked){
							document.getElementById("listmt_cats").style.visibility="visible";
							document.getElementById("desc_mt_cats").style.visibility="hidden";
						}else {
							document.getElementById("listmt_cats").style.visibility="hidden";
							document.getElementById("desc_mt_cats").style.visibility="visible";
						}
					});
					</script>';
			$result .= '<div id="desc_mt_cats" style="visibility:visible;margin-top: 27px;">'.JText::_('RSS_MT_XML_SEARCH_FIELDS_DESC').'</div>';
			$result .= '<div id="listmt_cats" style="visibility:hidden;">';

			$cats = $this->getMtcats();
			$result .= JHTML::_('select.genericlist', $cats, $control_name.'[mosetscategories][]', 'multiple="multiple"', 'id', 'cat_name', $value);
			$result .= '</div>';
		} else $result = 'You need to install Mosets Tree Component in order to use RSSearch! for Mosets Tree plugin. You can download Mosets Tree component from <a href="http://www.mosets.com/tree/" target="_blanc">here</a>';
		return $result;
	}
}