<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.plugin.plugin');
 
class plgRSSearchRSBlog extends JPlugin
{
	function plgRSSearchRSBlog( &$subject )
	{
	    parent::__construct( $subject );
		jimport('joomla.html.parameter');
		
	    $this->_plugin = JPluginHelper::getPlugin( 'rssearch', 'rsblog' );
	    $this->_params = new JParameter($this->_plugin->params);
	}
	function getResults(&$results, $search)
	{
	    $app = &JFactory::getApplication();
	    $db =& JFactory::getDBO();
		
	    
	    $fields = (array) $this -> _params->get('searchfields','');
	    $orderby = $this -> _params->get('orderby','title');
	    $categories = (array) $this->_params->get('rsbcategories','');
	    $asc_desc = $this -> _params->get('asc_desc','ASC');
	    $itemId = $this -> _params->get('itemid','');
	    $itemId = (empty($itemId) ? '' : '&Itemid='.$itemId);

		foreach($fields as $field){
			if($field == 'rsblog_posts') {
				$tablecolumns = array('title','ordering','publish_up');
				$where_catid = '';
				if(in_array('rsblog_categories', $fields)){
					if(modRSSearchHelper::isJ16()){
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories);
							$where_catid = " AND `#__rsblog_posts_categories`.`cat_id` IN (".implode(',', $categories).")";
						}
					}else {
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories);
							$where_catid = " AND `#__rsblog_posts_categories`.`cat_id` IN (".implode(',', $categories).")";
						}
					}
				}

		$query="SELECT `#__rsblog_posts`.`id`, `#__rsblog_posts_categories`.`cat_id`, `alias`, `#__rsblog_posts`.`title`, `introtext`
				FROM #__rsblog_posts 
				LEFT JOIN #__rsblog_posts_categories
				ON #__rsblog_posts.id = #__rsblog_posts_categories.post_id
				WHERE (`#__rsblog_posts`.`title` LIKE '%".$search."%' 
				OR `#__rsblog_posts`.`introtext` LIKE '%".$search."%'
				OR `#__rsblog_posts`.`fulltext` LIKE '%".$search."%')
				AND `published` = '1' ".$where_catid."
				GROUP BY `#__rsblog_posts`.`id` ORDER BY ".(in_array($orderby,$tablecolumns) ? $orderby : '')." ".$asc_desc;

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item -> title;
					$tmp->link = JRoute::_('index.php?option=com_rsblog&layout=view&cid='.$item->id.':'.$item->alias.$itemId);
					$tmp->text = $item -> introtext;
					$results[] = $tmp;
				}
			}elseif($field == 'rsblog_categories'){

				if(modRSSearchHelper::isJ16()){
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND `id` IN (".implode(',', $categories).")";
					}
				}else {
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND `id` IN (".implode(',', $categories).")";
					}
				}

				$query = "SELECT `id`,`title`, `description`,`alias` FROM #__rsblog_categories 
				WHERE (`title` LIKE '%".$search."%' OR `description` LIKE '%".$search."%') AND `published` = '1' ".$where_catid."
				GROUP BY `id`,`title`, `description` ORDER BY `ordering`";

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->title;
					$tmp->link = JRoute::_('index.php?option=com_rsblog&layout=default&category='.$item->id.':'.$item->alias.$itemId);
					$tmp->text = $item->description;
					$results[] = $tmp;
				}
			}
		}
	    return true;
	}
}
?>