<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldRsecategoriesfields extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'Rsecategoriesfields';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'rsevents.php')){
			$result = '<script type="text/javascript">
					window.addEvent(\'domready\',function(){
						if(document.getElementById("rsevents_categories_btn").checked){
							document.getElementById("listrsevents_categories").style.display="block";
							document.getElementById("desc_rsevents_categories").style.display="none";
						}else {
							document.getElementById("listrsevents_categories").style.display="none";
							document.getElementById("desc_rsevents_categories").style.display="block";
						}
					});
					</script>';
			$result .= '<div id="desc_rsevents_categories" style="float:left;display:block;margin-top: 10px;">'.JText::_('RSF_RSE_CATEGORIES_LIST_DESC').'</div>';
			$result .= '<div id="listrsevents_categories" style="display:none;float:left;">';
	
				$db =& JFactory::getDBO();
				$query = "SELECT * FROM #__rsevents_categories ORDER BY `CategoryName` ASC";
				$db->setQuery($query);
				$cats = $db->loadObjectList();
			$value = (isset($this->value['rsecategories']) ? $this->value['rsecategories'] : array());
			
			$result .= JHTML::_('select.genericlist', $cats, $this->name.'[rsecategories][]', 'multiple="multiple"', 'IdCategory', 'CategoryName', $value);
			$result .= '</div>';
		}else $result = 'You need to install RSEvents! Component in order to use RSSearch! for RSEvents! plugin. You can download RSEvents! component from <a href="http://www.rsjoomla.com/joomla-components/joomla-event-calendar.html" target="_blanc">here</a>';
		
		return $result;
	}
}