<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
 
// Import library dependencies
jimport('joomla.plugin.plugin');
 
class plgRSSearchRSMembership extends JPlugin
{
/**
 * Constructor
 *
 * For php4 compatability we must not use the __constructor as a constructor for
 * plugins because func_get_args ( void ) returns a copy of all passed arguments
 * NOT references.  This causes problems with cross-referencing necessary for the
 * observer design pattern.
 */
 function plgRSSearchRSMembership( &$subject )
	{
	    parent::__construct( $subject );
		jimport('joomla.html.parameter');
	    // load plugin parameters
	    $this->_plugin = JPluginHelper::getPlugin( 'rssearch', 'rsmembership' );
	    $this->_params = new JParameter( $this->_plugin->params );
	}

	function getResults(&$results, $search)
	{
		$app = &JFactory::getApplication();
		$db =& JFactory::getDBO();
	
	    
	    $fields = (array) $this -> _params->get('searchfields','');
	    $orderby = $this -> _params->get('orderby','name');
	    $asc_desc = $this -> _params->get('asc_desc','ASC');
		$categories = (array) $this-> _params->get('rsmcategories','');
	    $itemId = $this -> _params->get('itemid','');
	    $itemId = (empty($itemId) ? '' : '&Itemid='.$itemId);

		foreach($fields as $field){
			if($field == 'rsmembership_memberships'){
				$where_catid = '';
				if(in_array('rsmembership_categories', $fields)){
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND `category_id` IN (".implode(',', $categories).")";
					}
				}
				
				$query = "SELECT DISTINCT `#__rsmembership_memberships`.`id`, `#__rsmembership_memberships`.`name`, `#__rsmembership_memberships`.`description`, `#__rsmembership_memberships`.`category_id`, `#__rsmembership_categories`.`name` as category_name
				FROM #__rsmembership_memberships 
				LEFT JOIN #__rsmembership_categories 
				ON #__rsmembership_memberships.category_id = #__rsmembership_categories.id
				WHERE (`#__rsmembership_memberships`.`name` LIKE '%".$search."%' OR `#__rsmembership_memberships`.`description` LIKE '%".$search."%') AND `#__rsmembership_memberships`.`published` = '1' ".$where_catid."
				ORDER BY `#__rsmembership_memberships`.`".$orderby."` ".$asc_desc."";

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item -> name;
					$tmp->link = JRoute::_('index.php?option=com_rsmembership&view=membership&catid='.$item->category_id.':'.JFilterOutput::stringURLSafe($item->category_name).'&cid='.$item->id.':'.JFilterOutput::stringURLSafe($item->name).$itemId);
     				$tmp->text = $item -> description;
					$results[] = $tmp;
				}
				
			}elseif($field == 'rsmembership_categories'){
				$query = "SELECT DISTINCT `id`, `name`, `description` FROM #__rsmembership_categories
				WHERE `name` LIKE '%".$search."%' OR `description` LIKE '%".$search."%' AND `published` = '1' ORDER BY ".$orderby." ".$asc_desc."";

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->name;
					$tmp->link = JRoute::_('index.php?option=com_rsmembership&view=rsmembership&layout=list&catid='.$item->id.':'.JFilterOutput::stringURLSafe($item->name).$itemId);
					$tmp->text = $item->description;
					$results[] = $tmp;
				}
			}elseif($field == 'rsmembership_terms'){
				$query = "SELECT DISTINCT `id`,`name`, `description` FROM #__rsmembership_terms 
				WHERE `name` LIKE '%".$search."%' OR `description` LIKE '%".$search."%' AND `published` = '1' ORDER BY ".$orderby." ".$asc_desc."";

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->name;
					$tmp->link = JURI::root().'index.php?option=com_rsmembership&view=terms&cid='.$item->id.''.$itemId;
					$tmp->text = $item->description;
					$results[] = $tmp;
				}
			}
		}
	    return true;
	}
}
?>
