<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldRsmcategoriesfields extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'Rsmcategoriesfields';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_rsmembership'.DS.'rsmembership.php')){
			$result = '<script type="text/javascript">
					window.addEvent(\'domready\',function(){
						if(document.getElementById("rsmembership_categories_btn").checked){
							document.getElementById("listrsmembership_categories").style.display="block";
							document.getElementById("desc_rsmembership_categories").style.display="none";
						}else {
							document.getElementById("listrsmembership_categories").style.display="none";
							document.getElementById("desc_rsmembership_categories").style.display="block";
						}
					});
					</script>';
			$result .= '<div id="desc_rsmembership_categories" style="float:left;display:block;margin-top: 10px;">'.JText::_('RSF_RSM_CATEGORIES_LIST_DESC').'</div>';
			$result .= '<div id="listrsmembership_categories" style="display:none;float:left;">';

				$db =& JFactory::getDBO();
				$query = "SELECT * FROM #__rsmembership_categories ORDER BY `name` ASC";
				$db->setQuery($query);
				$cats = $db->loadObjectList();
			$value = (isset($this->value['rsmcategories']) ? $this->value['rsmcategories'] : array());
			
			$result .= JHTML::_('select.genericlist', $cats, $this->name.'[rsmcategories][]', 'multiple="multiple"', 'id', 'name', $value);
			$result .= '</div>';
		}else $result = 'You need to install RSMembership! Component in order to use RSSearch! for RSMembership! plugin. You can download RSMembership! component from <a href="http://www.rsjoomla.com/joomla-components/joomla-membership-subscriptions.html" target="_blanc">here</a>';
		
		return $result;
	}
}