<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
class JElementSobi2searchfields extends JElement{
	var $_name = 'Sobi2searchfields';
	
	function fetchElement($name, $value, &$node, $control_name)
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_sobi2'.DS.'sobi2.php')){
			$search_fields = array(
				'sobi2_item' 		=> 'Listings',
				'sobi2_categories'		=> 'Categories'
			);
			$result = '<script type="text/javascript">
				function listsobi2_item(checked){}
				function listsobi2_categories(checked){
					if(checked == true){
						document.getElementById("listsobi2_categories").style.visibility="visible";
						document.getElementById("desc_sobi2_categories").style.visibility="hidden";
					}else {
						document.getElementById("listsobi2_categories").style.visibility="hidden";
						document.getElementById("desc_sobi2_categories").style.visibility="visible";
					}
				}
			</script>';

			foreach( $search_fields as $component => $component_name){
				if(is_array( $value)){
					if(in_array($component, $value)){
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					}
				} elseif ( $value ) {
					if( $value == $component) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
	
					}
				} elseif ( !( $value ) ) {
					$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
				}
			}
		} else $result = 'You need to install Mosets Tree Component in order to use RSSearch! for Mosets Tree plugin. You can download Mosets Tree component from <a href="http://www.mosets.com/tree/" target="_blanc">here</a>';
		
		return $result;
	}
}
?>