<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
 

jimport('joomla.plugin.plugin');
 
class plgRSSearchVirtuemart extends JPlugin
{
	function plgRSSearchVirtuemart( &$subject )
	{
	    parent::__construct( $subject );
		jimport('joomla.html.parameter');
	    $this->_plugin = JPluginHelper::getPlugin( 'rssearch', 'virtuemart' );
	    $this->_params = new JParameter($this->_plugin->params);
	}
	function getResults(&$results, $search)
	{
	    $app = &JFactory::getApplication();
	    $db =& JFactory::getDBO();

	    $fields = (array) $this -> _params->get('searchfields','');
	    $orderby = $this -> _params->get('orderby','');
	    $categories = (array) $this->_params->get('virtuemartcategories','');
	    $asc_desc = $this -> _params->get('asc_desc','ASC');
	    $itemId = $this -> _params->get('itemid','');
	    $itemId = (empty($itemId) ? '' : '&Itemid='.$itemId);

		foreach($fields as $field){
			if($field == 'vm_product'){
				$tablecolumns = array('product_name');
				$where_catid = '';
				if(in_array('vm_category', $fields)){
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND `#__vm_product_category_xref`.`category_id` IN (".implode(',', $categories).")";
					}
				}

		$query="SELECT `#__vm_product_category_xref`.`category_id`, `#__vm_product`.`product_id`, `#__vm_product`.`product_s_desc`, `#__vm_product`.`product_desc`, `#__vm_product`.`product_name`
				FROM #__vm_product
				LEFT JOIN #__vm_product_category_xref
				ON #__vm_product.product_id = #__vm_product_category_xref.product_id
				WHERE (`#__vm_product`.`product_name` LIKE '%".$search."%' OR `#__vm_product`.`product_desc` LIKE '%".$search."%' OR `#__vm_product`.`product_s_desc` LIKE '%".$search."%') AND `product_publish` = 'Y' ".$where_catid."
				GROUP BY `#__vm_product`.`product_id` ".(in_array($orderby,$tablecolumns) ? 'ORDER BY '.$orderby.' '.$asc_desc : '');

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->product_name;
					$tmp->link = JRoute::_('index.php?option=com_virtuemart&page=shop.product_details&flypage=flypage.tpl&product_id='.$item->product_id.$itemId);
					$tmp->text = $item ->product_s_desc.' '.$item ->product_desc;
					$results[] = $tmp;
				}
			} elseif($field == 'vm_category'){
				$tablecolumns = array('category_name', 'list_order');
				$where_catid = '';

				if(!in_array('', $categories)){
					JArrayHelper::toInteger($categories);
					$where_catid = " AND `category_id` IN (".implode(',', $categories).")";
				}
				
				$query = "SELECT `category_id`,`category_name`, `category_description` FROM #__vm_category 
				WHERE (`category_name` LIKE '%".$search."%' OR `category_description` LIKE '%".$search."%') AND `category_publish` = 'Y' ".$where_catid."
				GROUP BY `category_id`,`category_name`, `category_description` ".(in_array($orderby,$tablecolumns) ? ' ORDER BY '.$orderby.' '.$asc_desc : "");

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->category_name;
					$tmp->link = JRoute::_('index.php?option=com_virtuemart&page=shop.browse&category_id='.$item->category_id.$itemId);
					$tmp->text = $item->category_description;
					$results[] = $tmp;
				}
			} elseif($field == 'vm_product_reviews'){

				$query = "SELECT #__vm_product.product_name, #__vm_product_reviews.product_id, #__vm_product_reviews.comment 
				FROM #__vm_product_reviews 
				LEFT JOIN #__vm_product
				ON  #__vm_product_reviews.product_id = #__vm_product.product_id
				WHERE (`comment` LIKE '%".$search."%') AND `published` = 'Y' 
				GROUP BY `product_id`,`comment`";

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->product_name;
					$tmp->link = JRoute::_('index.php?option=com_virtuemart&page=shop.product_details&flypage=flypage.tpl&product_id='.$item->product_id.$itemId);
					$tmp->text = $item->comment;
					$results[] = $tmp;
				}
			}
		}
	    return true;
	}
}
?>