<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
class JElementVirtuemartsearchfields extends JElement{
	var $_name = 'Virtuemartsearchfields';
	
	function fetchElement($name, $value, &$node, $control_name)
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_virtuemart'.DS.'virtuemart.php')){
			$search_fields = array(
				'vm_product' 		=> 'Products',
				'vm_category'		=> 'Product Categories',
				'vm_product_reviews'=> 'Product Reviews'
			);
			
			$result = '<script type="text/javascript">
				function listvm_product(checked){}
				function listvm_product_reviews(checked){}
				function listvm_category(checked){
					if(checked == true){
						document.getElementById("listvm_category").style.visibility="visible";
						document.getElementById("desc_vm_category").style.visibility="hidden";
					}else {
						document.getElementById("listvm_category").style.visibility="hidden";
						document.getElementById("desc_vm_category").style.visibility="visible";
					}
				}
			</script>';
	
			foreach( $search_fields as $component => $component_name){
				if(is_array( $value) ){
					if( in_array( $component, $value ) ) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					}
				} elseif ( $value ) {
					if( $value == $component) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
	
					}
				} elseif ( !( $value ) ) {
					$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
				}
			}
		} else $result = 'You need to install Virtuemart Component in order to use RSSearch! for Virtuemart plugin. You can download Virtuemart component from <a href="http://virtuemart.net/downloads" target="_blanc">here</a>';
		return $result;
	}
}
?>