<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

class JFormFieldContentSearchinField extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'Contentsearchinfield';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		$search_fields = array(
			'content' 		=> 'Content',
			'categories'	=> 'Categories'
		);

		$result = '<script type="text/javascript">
			function listcategories(checked){
				if(checked == true){
					document.getElementById("listcategories").style.display="block";
					document.getElementById("desc_categories").style.display="none";
				}else {
					document.getElementById("listcategories").style.display="none";
					document.getElementById("desc_categories").style.display="block";
				}
			}
			function listsections(checked){
				if(checked == true){
					document.getElementById("listsections").style.display="block";
					document.getElementById("desc_sections").style.display="none";
				}else {
					document.getElementById("listsections").style.display="none";
					document.getElementById("desc_sections").style.display="block";
				}
			}
			
			function listcontent(checked){}
		</script>';

		foreach( $search_fields as $component => $component_name){
			if(is_array( $this->value) ) {
				if( in_array( $component, $this->value ) ) {
					$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
				} else {
					$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
				}
			} elseif ( $this->value ) {
				if( $this->value == $component) {
					$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
				} else {
					$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
				}
			} elseif ( !( $this->value ) ) {
				$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
			}
		}
		return $result;
	}
}
?>