<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldKunenacategoriesfields extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'Kunenacategoriesfields';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		$result = '<script type="text/javascript">
				window.addEvent(\'domready\',function(){
					if(document.getElementById("kunena_categories_btn").checked){
						document.getElementById("listkunena_categories").style.display="block";
						document.getElementById("desc_kunena_categories").style.display="none";
					}else {
						document.getElementById("listkunena_categories").style.display="none";
						document.getElementById("desc_kunena_categories").style.display="block";
					}
				});
				</script>';
		$result .= '<div id="desc_kunena_categories" style="float:left;display:block;margin-top:10px;">'.JText::_('RSS_KUN_CATEGORIES_LIST_DESC').'</div>';
		$result .= '<div id="listkunena_categories"  style="float:left;display:none;margin-top:10px">';
		$db =& JFactory::getDBO();

		$query = "SELECT * FROM #__kunena_categories ORDER BY `name` ASC";
		$db->setQuery($query);
		$cats = $db->loadObjectList();
		$value = (isset($this->value['kunenacategories']) ? $this->value['kunenacategories'] : array());
		$result .= JHTML::_('select.genericlist', $cats, $this->name.'[kunenacategories][]', 'multiple="multiple"', 'id', 'name', $value);
			
			
		$result .= '</div><div style="clear:both;height:20px"></div>';

		return $result;
	}
}