<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
class JElementKunenasearchfields extends JElement{
	var $_name = 'Kunenasearchfields';
	
	function fetchElement($name, $value, &$node, $control_name)
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_kunena'.DS.'kunena.php')){
			$search_fields = array(
				'kunena_messages' 		=> 'Messages',
				'kunena_categories'		=> 'Categories'
			);
			$result = '<script type="text/javascript">
				function listkunena_messages(checked){}
				function listkunena_categories(checked){
					if(checked == true){
						document.getElementById("listkunena_categories").style.visibility="visible";
						document.getElementById("desc_kunena_categories").style.visibility="hidden";
					}else {
						document.getElementById("listkunena_categories").style.visibility="hidden";
						document.getElementById("desc_kunena_categories").style.visibility="visible";
					}
				}
				
			</script>';

			foreach( $search_fields as $component => $component_name){
				if(is_array( $value) ) {
					if(in_array($component, $value)){
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					}
				} elseif ( $value ) {
					if( $value == $component) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
	
					}
				} elseif ( !( $value ) ) {
					$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
				}
			}
		} else  $result = 'You need to install Kunena in order to use RSSearch! for Kunena plugin. You can download Kunena component from <a href="http://www.kunena.org/download" target="_blanc">here</a>';
		
		return $result;
	}
}
?>