<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldKunenasearchinfields extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'Kunenasearchinfields';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_kunena'.DS.'kunena.php')){
			$search_fields = array(
				'kunena_messages' 		=> 'Messages',
				'kunena_categories'		=> 'Categories'
			);
			$result = '<script type="text/javascript">
				function listkunena_messages(checked){}
				function listkunena_categories(checked){
					if(checked == true){
						document.getElementById("listkunena_categories").style.display="block";
						document.getElementById("desc_kunena_categories").style.display="none";
					}else {
						document.getElementById("listkunena_categories").style.display="none";
						document.getElementById("desc_kunena_categories").style.display="block";
					}
				}
				
			</script>';

			foreach( $search_fields as $component => $component_name){
				if(is_array( $this->value) ) {
					if(in_array($component, $this->value)){
						$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					}
				} elseif ( $this->value ) {
					if( $this->value == $component) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
	
					}
				} elseif ( !( $this->value ) ) {
					$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
				}
			}
		} else  $result = 'You need to install Kunena in order to use RSSearch! for Kunena plugin. You can download Kunena component from <a href="http://www.kunena.org/download" target="_blanc">here</a>';
		
		return $result;
	}
}
?>