<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.plugin.plugin');
 
class plgRSSearchMosets extends JPlugin
{
	function plgRSSearchMosets( &$subject )
	{
	    parent::__construct( $subject );
		jimport('joomla.html.parameter');
		
	    $this->_plugin = JPluginHelper::getPlugin( 'rssearch', 'mosets' );
	    $this->_params = new JParameter($this->_plugin->params);
	}
	function getResults(&$results, $search)
	{
	    $app = &JFactory::getApplication();
	    $db =& JFactory::getDBO();
		

	    $fields = (array) $this -> _params->get('searchfields','');
	    $orderby = $this -> _params->get('orderby','link_name');
	    $categories = (array) $this->_params->get('mosetscategories','');
	    $asc_desc = $this -> _params->get('asc_desc','ASC');
	    $itemId = $this -> _params->get('itemid','');
	    $itemId = (empty($itemId) ? '' : '&Itemid='.$itemId);

		foreach($fields as $field){
			if($field == 'mt_links'){
				$tablecolumns = array('link_name','link_created','link_hits','ordering');
				$where_catid = '';
				if(in_array('mt_cats', $fields)){
					if(modRSSearchHelper::isJ16()){
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories['mosetscategories']);
							$where_catid = " AND `#__mt_cl`.`cat_id` IN (".implode(',', $categories['mosetscategories']).")";			
						}
					}else {
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories);
							$where_catid = " AND `#__mt_cl`.`cat_id` IN (".implode(',', $categories).")";
						}
					}
				}

		$query="SELECT  `#__mt_cl`.`cat_id`, `#__mt_links`.`link_id`, `#__mt_links`.`link_name`, `#__mt_links`.`link_desc`, `#__mt_cl`.`cat_id`
				FROM #__mt_links
				LEFT JOIN #__mt_cl
				ON #__mt_links.link_id = #__mt_cl.link_id
				WHERE (`#__mt_links`.`link_name` LIKE '%".$search."%' 
				OR `#__mt_links`.`link_desc` LIKE '%".$search."%')
				AND `link_published` = '1' ".$where_catid."
				GROUP BY `#__mt_links`.`link_id` ORDER BY ".(in_array($orderby,$tablecolumns) ? $orderby : '')." ".$asc_desc;

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item -> link_name;
					$tmp->link = JRoute::_('index.php?option=com_mtree&task=viewlink&link_id='.$item->link_id.$itemId);
					$tmp->text = $item -> link_desc;
					$results[] = $tmp;
				}
			}elseif($field == 'mt_cats'){
				
				if(modRSSearchHelper::isJ16()){
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories['mosetscategories']);
						$where_catid = " AND `cat_id` IN (".implode(',', $categories['mosetscategories']).")";			
					}
				}else {
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND `cat_id` IN (".implode(',', $categories).")";
					}
				}

				$query = "SELECT `cat_id`,`cat_name`, `cat_desc` FROM #__mt_cats
				WHERE (`cat_name` LIKE '%".$search."%' OR `cat_desc` LIKE '%".$search."%') AND `cat_published` = '1' ".$where_catid."
				GROUP BY `cat_id`,`cat_name`, `cat_desc` ORDER BY `ordering` ".$asc_desc;

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->cat_name;
					$tmp->link = JRoute::_('index.php?option=com_mtree&task=listcats&cat_id='.$item->cat_id.$itemId);
					$tmp->text = $item->cat_desc;
					$results[] = $tmp;
				}
			}
		}
	    return true;
	}
}
?>