<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldRsbcategoriesfields extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'Rsbcategoriesfields';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_rsblog'.DS.'rsblog.php')){
			$result = '<script type="text/javascript">
					window.addEvent(\'domready\',function(){
						if(document.getElementById("rsblog_categories_btn").checked){
							document.getElementById("listrsblog_categories").style.visibility="visible";
							document.getElementById("desc_rsblog_categories").style.visibility="hidden";
						}else {
							document.getElementById("listrsblog_categories").style.visibility="hidden";
							document.getElementById("desc_rsblog_categories").style.visibility="visible";
						}
					});
					</script>';
			$result .= '<div id="desc_rsblog_categories" style="visibility:visible;margin-top: 27px;">'.JText::_('RSF_RSB_CATEGORIES_LIST_DESC').'</div>';
			$result .= '<div id="listrsblog_categories" style="visibility:hidden;">';
	
				$db =& JFactory::getDBO();
				$query = "SELECT * FROM #__rsblog_categories ORDER BY `title` ASC";
				$db->setQuery($query);
				$cats = $db->loadObjectList();
	
			$result .= JHTML::_('select.genericlist', $cats, $this->name.'[]', 'multiple="multiple"', 'id', 'title', $this->value);
			$result .= '</div>';
		}else $result = 'You need to install RSBlog! Component in order to use RSSearch! for RSBlog! plugin. You can download RSBlog! component from <a href="http://www.rsjoomla.com/joomla-components/joomla-blog.html" target="_blanc">here</a>';
		
		
		return $result;
	}
}