<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldRSBsearchinFields extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'RSBsearchinFields';
	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_rsblog'.DS.'rsblog.php')){
			$search_fields = array(
				'rsblog_posts' 		=> 'Posts',
				'rsblog_categories'	=> 'Categories'
			);
			$result = '<script type="text/javascript">
				function listrrsblog_posts(checked){}
				function listrsblog_categories(checked){
					if(checked == true){
						document.getElementById("listrsblog_categories").style.visibility="visible";
						document.getElementById("desc_rsblog_categories").style.visibility="hidden";
					}else {
						document.getElementById("listrsblog_categories").style.visibility="hidden";
						document.getElementById("desc_rsblog_categories").style.visibility="visible";
					}
				}
			</script>';

			foreach( $search_fields as $component => $component_name){
				if(is_array( $this->value) ) {
					if(in_array($component, $this->value)){
						$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					}
				} elseif ( $this->value ) {
					if( $this->value == $component) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
	
					}
				} elseif ( !( $this->value ) ) {
					$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
				}
			}
		} else $result = 'You need to install RSBlog! Component in order to use RSSearch! for RSBlog! plugin. You can download RSBlog! component from <a href="http://www.rsjoomla.com/joomla-components/joomla-blog.html" target="_blanc">here</a>';
		return $result;
	}
}
?>