<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.plugin.plugin');
 
class plgRSSearchRSEvents extends JPlugin
{
	function plgRSSearchRSEvents( &$subject )
	{
	    parent::__construct( $subject );
		jimport('joomla.html.parameter');
		
	    $this->_plugin = JPluginHelper::getPlugin( 'rssearch', 'rsevents' );
	    $this->_params = new JParameter($this->_plugin->params);
	}
	function getResults(&$results, $search)
	{
	    $app = &JFactory::getApplication();
	    $db =& JFactory::getDBO();
		
	    
	    $fields = (array) $this -> _params->get('searchfields','');
	    $orderby = $this -> _params->get('orderby','Eventname');
	    $categories = (array) $this->_params->get('rsecategories','');
	    $asc_desc = $this -> _params->get('asc_desc','ASC');
	    $itemId = $this -> _params->get('itemid','');
	    $itemId = (empty($itemId) ? '' : '&Itemid='.$itemId);

		foreach($fields as $field){
			if($field == 'rsevents_events'){
				$tablecolumns = array('EventName','EventHost','EventStartDate','EventEndDate');
				$where_catid = '';
				if(in_array('rsevents_categories', $fields)){
					if(modRSSearchHelper::isJ16()){
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories['rsecategories']);
							$where_catid = " AND `#__rsevents_events_cat`.`IdCategory` IN (".implode(',', $categories['rsecategories']).")";			
						}
					}else {
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories);
							$where_catid = " AND `#__rsevents_events_cat`.`IdCategory` IN (".implode(',', $categories).")";
						}
					}
				}

		$query="SELECT  `#__rsevents_events_cat`.`IdCategory`, `#__rsevents_events`.`IdEvent`, `EventName`, `EventDescription`, `EventAlias`
				FROM #__rsevents_events
				LEFT JOIN #__rsevents_events_cat
				ON #__rsevents_events.IdEvent = #__rsevents_events_cat.IdEvent
				WHERE (`#__rsevents_events`.`EventName` LIKE '%".$search."%' 
				OR `#__rsevents_events`.`EventDescription` LIKE '%".$search."%' 
				OR `#__rsevents_events`.`EventHost` LIKE '%".$search."%' )
				AND `published` = '1' ".$where_catid."
				GROUP BY `#__rsevents_events`.`IdEvent` ORDER BY ".(in_array($orderby,$tablecolumns) ? $orderby : '')." ".$asc_desc;

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item -> EventName;
					$tmp->link = JRoute::_('index.php?option=com_rsevents&view=events&layout=show&cid='.$item->IdEvent.':'.$item->EventAlias.$itemId);
					$tmp->text = $item ->EventDescription;
					$results[] = $tmp;
				}
			}elseif($field == 'rsevents_categories'){
				

				if(modRSSearchHelper::isJ16()){
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories['rsecategories']);
						$where_catid = " AND `IdCategory` IN (".implode(',', $categories['rsecategories']).")";			
					}
				}else {
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND `IdCategory` IN (".implode(',', $categories).")";
					}
				}

				$query = "SELECT `IdCategory`,`CategoryName`, `CategoryDescription`,`CategoryAlias` FROM #__rsevents_categories 
				WHERE (`CategoryName` LIKE '%".$search."%' OR `CategoryDescription` LIKE '%".$search."%') AND `published` = '1' ".$where_catid."
				GROUP BY `IdCategory`,`CategoryName`, `CategoryDescription` ORDER BY `ordering`";

				$db -> setQuery($query);
				$list = $db->loadObjectList();
				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->CategoryName;
					$tmp->link = JRoute::_('index.php?option=com_rsevents&view=events&layout=listcategoryevents&cid='.$item->IdCategory.':'.$item->CategoryAlias.$itemId);
					$tmp->text = $item->CategoryDescription;
					$results[] = $tmp;
				}
			}
		}
	    return true;
	}
}
?>