<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldRSEsearchinFields extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'RSEsearchinFields';
	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'rsevents.php')){
			$search_fields = array(
				'rsevents_events' 		=> 'Events',
				'rsevents_categories'	=> 'Categories'
			);
			$result = '<script type="text/javascript">
				function listrsevents_events(checked){}
				function listrsevents_categories(checked){
					if(checked == true){
						document.getElementById("listrsevents_categories").style.display="block";
						document.getElementById("desc_rsevents_categories").style.display="none";
					}else {
						document.getElementById("listrsevents_categories").style.display="none";
						document.getElementById("desc_rsevents_categories").style.display="block";
					}
				}
				
			</script>';
	
			foreach( $search_fields as $component => $component_name){
				if(is_array( $this->value) ) {
					if( in_array( $component, $this->value ) ) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					}
				} elseif ( $this->value ) {
					if( $value == $component) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
	
					}
				} elseif ( !( $this->value ) ) {
					$result .= '<label><input type="checkbox" name="'.$this->name.'[]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
				}
			}
		}else $result = 'You need to install RSEvents! Component in order to use RSSearch! for RSEvents! plugin. You can download RSEvents! component from <a href="http://www.rsjoomla.com/joomla-components/joomla-event-calendar.html" target="_blanc">here</a>';
		
		return $result;
	}
}
?>