<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
class JElementRsmsearchfields extends JElement{
	var $_name = 'Rsmsearchfields';
	
	function fetchElement($name, $value, &$node, $control_name)
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_rsmembership'.DS.'rsmembership.php')){
			$search_fields = array(
				'rsmembership_memberships' 	=> 'Memberships',
				'rsmembership_categories'	=> 'Categories',
				'rsmembership_terms' 		=> 'Terms',
			);
			
			$result = '<script type="text/javascript">
				function listrsmembership_memberships(checked){}
				function listrsmembership_categories(checked){
					if(checked == true){
						document.getElementById("listrsmembership_categories").style.visibility="visible";
						document.getElementById("desc_rsmembership_categories").style.visibility="hidden";
					}else {
						document.getElementById("listrsmembership_categories").style.visibility="hidden";
						document.getElementById("desc_rsmembership_categories").style.visibility="visible";
					}
				}
				function listrsmembership_terms(checked){}
	
			</script>';
	
			foreach( $search_fields as $component => $component_name){
				if(is_array( $value) ){
					if( in_array( $component, $value ) ) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					}
				} elseif ( $value ) {
					if( $value == $component) {
						$result .= '<label><input checked="checked" type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
					} else {
						$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" /> '.$component_name.'</label>';
	
					}
				} elseif ( !( $value ) ) {
					$result .= '<label><input type="checkbox" name="'.$control_name.'['.$name.'][]" value="'.$component.'" onclick="list'.$component.'(this.checked);" id="'.$component.'_btn" />'.$component_name.'</label>';
				}
			}
		} else $result = 'You need to install RSMembership! Component in order to use RSSearch! for RSMembership! plugin. You can download RSMembership! component from <a href="http://www.rsjoomla.com/joomla-components/joomla-membership-subscriptions.html" target="_blanc">here</a>';
		return $result;
	}
}
?>