<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.plugin.plugin');
 
class plgRSSearchSobi2 extends JPlugin
{
	function plgRSSearchSobi2( &$subject )
	{
	    parent::__construct( $subject );
		jimport('joomla.html.parameter');

	    $this->_plugin = JPluginHelper::getPlugin( 'rssearch', 'sobi2' );
	    $this->_params = new JParameter($this->_plugin->params);
	}
	function getResults(&$results, $search)
	{
	    $app = &JFactory::getApplication();
	    $db =& JFactory::getDBO();

	    $fields = (array) $this -> _params->get('searchfields','');
	    $orderby = $this -> _params->get('orderby','title');
	    $categories = (array) $this->_params->get('sobi2categories','');
	    $asc_desc = $this -> _params->get('asc_desc','ASC');
	    $itemId = $this -> _params->get('itemid','');
	    $itemId = (empty($itemId) ? '' : '&Itemid='.$itemId);

		foreach($fields as $field){
			if($field == 'sobi2_item'){
				$tablecolumns = array('title','publish_up','hits','ordering');
				$where_catid = '';
				if(in_array('sobi2_categories', $fields)){
					if(modRSSearchHelper::isJ16()){
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories['sobi2categories']);
							$where_catid = " AND (`#__sobi2_cat_items_relations`.`catid` IN (".implode(',', $categories['sobi2categories']).") OR `#__sobi2_cats_relations`.`parentid` IN (".implode(',', $categories['sobi2categories'])."))";
						}
					}else {
						if(!in_array('', $categories)){
							JArrayHelper::toInteger($categories);
							$where_catid = " AND (`#__sobi2_cat_items_relations`.`catid` IN (".implode(',', $categories).") OR `#__sobi2_cats_relations`.`parentid` IN (".implode(',', $categories).") )";
						}
					}
				}

		$query="SELECT  `#__sobi2_item`.`itemid`, `#__sobi2_item`.`title`, `#__sobi2_fields_data`.`data_txt`, `#__sobi2_cat_items_relations`.`catid`, `#__sobi2_cats_relations`.`parentid`
				FROM (#__sobi2_item
				LEFT JOIN #__sobi2_cat_items_relations
				ON #__sobi2_item.itemid = #__sobi2_cat_items_relations.itemid)
				LEFT JOIN #__sobi2_fields_data 
				ON #__sobi2_item.itemid = #__sobi2_fields_data.itemid
				LEFT JOIN #__sobi2_cats_relations 
				ON #__sobi2_cat_items_relations.catid = #__sobi2_cats_relations.catid
				WHERE (`#__sobi2_item`.`title` LIKE '%".$search."%' 
				OR `#__sobi2_fields_data`.`data_txt` LIKE '%".$search."%')
				AND `#__sobi2_item`.`approved` = '1' ".$where_catid." AND `#__sobi2_fields_data`.`fieldid` = '13'
				ORDER BY ".(in_array($orderby,$tablecolumns) ? $orderby : '')." ".$asc_desc;

				$db -> setQuery($query);
				$list = $db->loadObjectList();

				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item -> title;
					$tmp->link = JRoute::_('index.php?option=com_sobi2&sobi2Task=sobi2Details&catid='.$item->catid.'&sobi2Id='.$item->itemid.$itemId);
					$tmp->text = $item -> data_txt;
					$results[] = $tmp;
				}
			}elseif($field == 'sobi2_categories'){
				
				if(modRSSearchHelper::isJ16()){
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories['sobi2categories']);
						$where_catid = " AND (`#__sobi2_categories`.`catid` IN (".implode(',', $categories['sobi2categories']).") OR `#__sobi2_cats_relations`.`parentid` IN (".implode(',', $categories['sobi2categories'])."))";
					}
				}else {
					if(!in_array('', $categories)){
						JArrayHelper::toInteger($categories);
						$where_catid = " AND (`#__sobi2_categories`.`catid` IN (".implode(',', $categories).") OR `#__sobi2_cats_relations`.`parentid` IN (".implode(',', $categories)."))";
					}
				}

				$query="SELECT  DISTINCT(`#__sobi2_categories`.`catid`), `#__sobi2_categories`.`name`, `#__sobi2_categories`.`description`, 	`#__sobi2_cats_relations`.`parentid`
				FROM #__sobi2_categories
				LEFT JOIN `#__sobi2_cats_relations`
				ON `#__sobi2_categories`.`catid` = `#__sobi2_cats_relations`.`catid`
				WHERE ( `#__sobi2_categories`.`name` LIKE '%".$search."%' 
				OR `#__sobi2_categories`.`description` LIKE '%".$search."%')
				AND `published` = '1' ".$where_catid." 
				ORDER BY ordering ".$asc_desc;


				$db -> setQuery($query);
				$list = $db->loadObjectList();

				foreach ($list as $item)
				{
					$tmp = new stdClass();
					$tmp->title = $item->name;
					$tmp->link = JRoute::_('index.php?option=com_sobi2&catid='.$item->catid.$itemId);
					$tmp->text = $item->description;
					$results[] = $tmp;
				}
			}
		}
	    return true;
	}
}
?>