<?php
/**
* @version 1.0.0
* @package RSSearch! 1.0.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

class JElementSobi2categories extends JElement{
	var $_name = 'Sobi2categories';

	function getSobi2cats()
	{
		$db =& JFactory::getDBO();
		$query = "SELECT `#__sobi2_categories`.*, #__sobi2_cats_relations.parentid FROM #__sobi2_categories LEFT JOIN #__sobi2_cats_relations ON #__sobi2_categories.catid = #__sobi2_cats_relations.catid ORDER BY `name` ASC";
		$db->setQuery($query);
		$items = $db->loadObjectList();
		$children = array();

		if ($items)
		foreach ($items as $item)
			{
				$parent =(int) $item->parentid;
				$item->parent = $parent;
				$item->id = $item->catid;
				$list = @$children[$parent] ? $children[$parent] : array();
				array_push($list, $item);
				$children[$parent] = $list;
			}
		$list = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0);

		return $list;
	}

	function fetchElement($name, $value, &$node, $control_name)
	{
		if(file_exists(JPATH_SITE.DS.'components'.DS.'com_sobi2'.DS.'sobi2.php')){
			$result = '<script type="text/javascript">
					window.addEvent(\'domready\',function(){
						if(document.getElementById("sobi2_categories_btn").checked){
							document.getElementById("listsobi2_categories").style.visibility="visible";
							document.getElementById("desc_sobi2_categories").style.visibility="hidden";
						}else {
							document.getElementById("listsobi2_categories").style.visibility="hidden";
							document.getElementById("desc_sobi2_categories").style.visibility="visible";
						}
					});
					</script>';
			$result .= '<div id="desc_sobi2_categories" style="visibility:visible;margin-top: 27px;">'.JText::_('RSS_SOBI2_XML_SEARCH_FIELDS_DESC').'</div>';
			$result .= '<div id="listsobi2_categories" style="visibility:hidden;">';

			$cats = $this->getSobi2cats();
			$result .= JHTML::_('select.genericlist', $cats, $control_name.'[sobi2categories][]', 'multiple="multiple"', 'id', 'treename', $value);
			
			$result .= '</div>';
		} else $result = 'You need to install Sobi2 Component in order to use RSSearch! for Sobi2 plugin. You can download Sobi2 component from <a href="http://www.sigsiu.net/download/" target="_blanc">here</a>';
		return $result;
	}
}